# TODO
# - missing cron.hourly processing?
# - doesn't own /etc/cron.PERIOD/ dirs like other crond's do
Summary:	A cron-like program that can run jobs lost during downtime
Summary(pl):	Wersja crona z moliwoci uruchamiania zapomnianych procesw
Summary(pt_BR):	Auxiliar do cron para mquinas que no ficam ligadas o tempo todo
Name:		anacron
Version:	2.3
Release:	24
License:	GPL
Group:		Daemons
Source0:	http://dl.sourceforge.net/anacron/%{name}-%{version}.tar.gz
# Source0-md5:	865cc1dfe1ed75c470d3e6de13763f03
Source1:	%{name}tab
Source2:	%{name}.init
Patch0:		%{name}-SIGTERM.patch
Patch1:		%{name}-sendmail.patch
Patch2:		%{name}-content-type.patch
Patch3:		%{name}-mailto.patch
Patch4:		%{name}-noconst.patch
URL:		http://anacron.sourceforge.net/
BuildRequires:	rpmbuild(macros) >= 1.268
Requires:	/sbin/chkconfig
Requires:	/usr/lib/sendmail
Provides:	crondaemon
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Anacron (like `anac(h)ronistic') is a periodic command scheduler. It
executes commands at intervals specified in days. Unlike cron, it does
not assume that the system is running continuously. It can therefore
be used to control the execution of daily, weekly and monthly jobs (or
anything with a period of n days), on systems that don't run 24 hours
a day. When installed and configured properly, Anacron will make sure
that the commands are run at the specified intervals as closely as
machine-uptime permits.

This package is pre-configured to execute the daily jobs of the PLD
Linux system. You should install this program if your system isn't
powered on 24 hours a day to make sure the maintenance jobs of other
PLD Linux packages are executed each day.

%description -l pl
Anacron (od ,,anac(h)ronistic'') zajmuje si okresowym wykonywaniem
polece. Wykonuje je w odstpach bdcych wielokrotnoci dni. W
przeciwiestwie do crona nie zakada, e system dziaa 24 godziny na
dob. Dziki temu moe by uywany do wykonywania codziennych,
cotygodniowych i comiesicznych (lub innych powtarzajcych si co ile
dni) zada w systemach, ktre nie s wczone non-stop. Zainstalowany
i poprawnie skonfigurowany Anacron zapewni wykonywanie zleconych zada
tak blisko wyznaczonych terminw, jak tylko moliwe.

Ten pakiet zosta wstpnie skonfigurowany do dziaania w systemie PLD
Linux. Powiniene zainstalowa ten program na systemach, ktre nie s
wczone non-stop aby zapewni uruchamianie rnych zada
utrzymujcych system we waciwych odstpach czasu.

%description -l pt_BR
Anacron  uma agenda para marcar a execuo de comandos em horrios
programados. Ao contrrio do cron, o anacron no requer que o sistema
esteja rodando continuamente, podendo ser executado em sistemas que
no esto ligados 24 horas por dia.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1

%build
%{__make} \
	 CFLAGS="%{rpmcflags}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sysconfdir},%{_sbindir},%{_mandir}/man{5,8}} \
	$RPM_BUILD_ROOT/{var/spool/anacron,etc/rc.d/init.d}

install anacron $RPM_BUILD_ROOT%{_sbindir}
install anacron.8 $RPM_BUILD_ROOT%{_mandir}/man8/
install anacrontab.5 $RPM_BUILD_ROOT%{_mandir}/man5/
install %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}
install %{SOURCE2} $RPM_BUILD_ROOT/etc/rc.d/init.d/%{name}

for i in cron.daily cron.weekly cron.monthly; do
install -d $RPM_BUILD_ROOT%{_sysconfdir}/$i/
cat << EOF > $RPM_BUILD_ROOT%{_sysconfdir}/$i/0anacron
#!/bin/sh
#
# anacron's cron script
#
# This script updates anacron time stamps. It is called through run-parts
# either by anacron itself or by cron.
#
# The script is called "0anacron" to assure that it will be executed
# _before_ all other scripts.

anacron -u $i

EOF
done

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add anacron
%service anacron restart "Anacron daemon"

%preun
if [ "$1" = "0" ];then
	%service anacron stop
	/sbin/chkconfig --del anacron
fi

%files
%defattr(644,root,root,755)
%doc ChangeLog README TODO
%attr(755,root,root) %{_sbindir}/anacron
%attr(754,root,root) /etc/rc.d/init.d/*
%config %{_sysconfdir}/anacrontab
%dir /var/spool/anacron/
%config %{_sysconfdir}/cron.daily/0anacron
%config %{_sysconfdir}/cron.monthly/0anacron
%config %{_sysconfdir}/cron.weekly/0anacron
%{_mandir}/man[58]/*
